#!/bin/sh

# uses:
#PROMETHEUS="http://10.10.65.38:32090/-/healthy"
#ALERTMANAGER="http://10.10.65.38:32092/-/healthy"
#APITOKEN="12345565-123123-11-aea2-338b0155b6cb"
#HEARTBEAT="qualis_heartbeat_prod"

if [ "$(curl $PROMETHEUS 2>/dev/null)" != "Prometheus Server is Healthy." ]
then
    echo "prom down!"
    exit 1
fi

if [ "$(curl $ALERTMANAGER 2>/dev/null)" != "OK" ]
    then
        echo "am down!"
        exit 1
fi

echo "everything is fine :)"
curl -X GET "https://api.eu.opsgenie.com/v2/heartbeats/$HEARTBEAT/ping" --header "Authorization: GenieKey $APITOKEN"
exit 0
